Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezmediacatalogue/admin/medialist.php File Reference

Go to the source code of this file.

## Functions
foreach( $pathArray as $path) | syncDir ( $root, $category)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMediaCatalogueMain", "Language" )
| $SyncDir = $ini->variable( "eZMediaCatalogueMain", "SyncDir" )
| $ImageDir = $ini->variable( "eZMediaCatalogueMain", "ImageDir" )
| $t
| $user =& eZUser::currentUser()
| $category = new eZMediaCategory( $CategoryID )
| $error = true
if( $category->id() !=0) | $pathArray = $category->path()
if(isSet( $MediaUpload)) | else
| $categoryList =& $category->getByParent( $category )
| $i =0
| $limit = $ini->variable( "eZMediaCatalogueMain", "ListMediaPerPage" )
| $mediaList =& $category->media( "time", $Offset, $limit )
| $j = 0
| $counter = 0

## Function Documentation

## ◆ syncDir()

foreach ($pathArray as $path) syncDir | ( |  | $root,
|  |  | $category
| ) |  |

Definition at line 139 of file ezmediacatalogue/admin/medialist.php.

References $author, $category, $Description, $dir, $file, $group, $media, $SectionID, $user, eZMediaCategory\addMedia(), eZPBFile\dir(), eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $category

$category = new eZMediaCategory( $CategoryID )

Definition at line 92 of file ezmediacatalogue/admin/medialist.php.

Referenced by syncDir().

## ◆ $categoryList

$categoryList =& $category->getByParent( $category )

Definition at line 234 of file ezmediacatalogue/admin/medialist.php.

## ◆ $counter

$counter = 0

Definition at line 298 of file ezmediacatalogue/admin/medialist.php.

## ◆ $error

$error = true

Definition at line 96 of file ezmediacatalogue/admin/medialist.php.

## ◆ $i

$i =0

Definition at line 236 of file ezmediacatalogue/admin/medialist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZMediaCatalogueMain", "ImageDir" )

Definition at line 45 of file ezmediacatalogue/admin/medialist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 41 of file ezmediacatalogue/admin/medialist.php.

## ◆ $j

$j = 0

Definition at line 297 of file ezmediacatalogue/admin/medialist.php.

## ◆ $Language

$Language = $ini->variable( "eZMediaCatalogueMain", "Language" )

Definition at line 43 of file ezmediacatalogue/admin/medialist.php.

## ◆ $limit

$limit = $ini->variable( "eZMediaCatalogueMain", "ListMediaPerPage" )

Definition at line 291 of file ezmediacatalogue/admin/medialist.php.

## ◆ $mediaList

$mediaList =& $category->media( "time", $Offset, $limit )

Definition at line 294 of file ezmediacatalogue/admin/medialist.php.

## ◆ $pathArray

if ($category->id() !=0) $pathArray = $category->path()

Definition at line 125 of file ezmediacatalogue/admin/medialist.php.

## ◆ $SyncDir

$SyncDir = $ini->variable( "eZMediaCatalogueMain", "SyncDir" )

Definition at line 44 of file ezmediacatalogue/admin/medialist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmediacatalogue/admin/" . $ini->variable( "eZMediaCatalogueMain", "TemplateDir" ),
"kernel/ezmediacatalogue/admin/intl/", $Language, "medialist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezmediacatalogue/admin/medialist.php:43
$ini
$ini
Definition: ezmediacatalogue/admin/medialist.php:41

Definition at line 47 of file ezmediacatalogue/admin/medialist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 54 of file ezmediacatalogue/admin/medialist.php.

Referenced by syncDir().

## ◆ else

if ($error==false) else

Initial value:
{
$SyncMediaDir = $SyncDir
$SyncDir
$SyncDir
Definition: ezmediacatalogue/admin/medialist.php:44

Definition at line 224 of file ezmediacatalogue/admin/medialist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.